<?php

namespace Goodquestiondev\Tests;

require_once __DIR__ . '/../vendor/autoload.php';

use Goodquestiondev\Route;
use Goodquestiondev\Resource;
use PHPUnit\Framework\TestCase;

class ResourceTest extends TestCase
{
    public function testResource(): void
    {
        $resource = new Resource('categories.posts');
        $this->assertEquals([
            'categories',
            'categories/{category}/posts',
            'categories/{category}/posts/create',
            'posts/{post}',
            'posts/{post}/edit'
        ], $resource->uriList);

        $resource = new Resource('categories');
        $this->assertEquals([
            'categories',
            'categories/{category}',
            'categories/create',
            'categories/{category}/edit',
        ], $resource->uriList);

        $route = Route::getInstance();
        var_dump($route);
    }
}
